Transaction

Use this API to Make Transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescription
Content-TypeStringApplication/Json
AcceptStringApplication/Json
X-Qro-ApiKeyStringProvided By Dextox
X-Qro-UserIdStringProvided By Dextox

Request Parameter

Param NameParam TypeIs MandatoryDescription
mobilestringYESBeneficiary Mobile Number
referenceidstringYESSame unique id which sent in otp api
txntypestringYESIMPS
pincodeintegerYESBeneficiary Pin code
addressstringYESBeneficiary address
dobstringYESdob of Beneficiary
bene_idintegerYESBeneficiary Id
staterespstringYESRecieved in Send Transaction Otp api
amountstringYESSame Transaction Amount
otpstringYESRecieved on Mobile Number
gst_statestringYES07

Sample Request

{
  "mobile":"99XXXXXX39",
  "txntype":"IMPS",
  "gst_state":"07",
  "bene_id":XXXX,
  "referenceid":"XXXXX",
  "dob":"01-02-2000",
  "address":"XXXX",
  "pincode":XXXXXX,
  "stateresp":"xxxxx",
  "amount":"xxxxx",
  "otp":"xxxxxx"
}

Sample Response

{
  "status":true,
  "response_code":1,
  "ackno":"XXXXX",
  "utr":"5101XXXXX",
  "txn_status":1,
  "benename":"AXXXXX",
  "remarks":"Transaction Successful - ",
  "message":"Transaction Successful.",
  "customercharge":"XX.00",
  "gst":"XX.83",
  "tds":"XX.XX",
  "netcommission":"XX.XX",
  "account_number":"36XXXXXXX",
  "txn_amount":"100",
  "balance":0.0
}
Body Params
string
required
string
required
Defaults to IMPS
string
required
Defaults to 07
integer
required
Defaults to XXXX
string
required
Defaults to XXXXXXX

Same Transaction Id sent in otp request

string
required
Defaults to xx-xx-xxxx
string
required
Defaults to XXXXXX
integer
required
Defaults to XXXX
string
required
Defaults to XXXXX

Received in Send otp Response

string
required
Defaults to xxxx

Transaction Amount

string
required
Defaults to xxxxxx

Received on Mobile number

Headers
string
required
Defaults to {{API KEY}}
string
required
Defaults to {{API KEY}}
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json